import { closeBrackets } from '@codemirror/autocomplete';
import { defaultKeymap, historyKeymap, history } from '@codemirror/commands';
import { syntaxHighlighting, defaultHighlightStyle } from '@codemirror/language';
import { highlightSpecialChars, drawSelection, keymap } from '@codemirror/view';

const keyBindings = [
  ...defaultKeymap,
  ...historyKeymap
];
const minimalSetup = (() => [
  highlightSpecialChars(),
  history(),
  drawSelection(),
  closeBrackets(),
  syntaxHighlighting(defaultHighlightStyle, { fallback: true }),
  keymap.of(keyBindings)
])();

export { minimalSetup };
//# sourceMappingURL=codemirror-basic-setup.js.map
